Subject: bug#6952: jit-lock with default, small chunk-size causing incorrect fontification in cc-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 31 Aug 2010 10:29:35 +0200

> Presumably, the underlying cause is jit-lock asking cc-mode to start
> or stop fontification in an unexpected place.

I doubt the error is in jit-lock, because the assumptions made by
jit-lock.el are almost identical to the ones made by the non-jit-lock
code.  Jit-lock relies more heavily on some of those assumptions, tho,
so it's probably more difficult to reproduce without jit-lock, but
reproducing it without jit-lock might be the best way to debug
the problem.

        Stefan